{ CHARS.V

  Not all printable characters are easily accessible from
  the keyboard. Some of these characters can be used to
  make your script output look nicer. To access these
  characters use the "chr" function. The most useful
  additional characters are listed below:

  chr(169)  Copyright symbol
  chr(176)  Degrees
  chr(177)  Plus or minus
  chr(178)  Squared
  chr(179)  Cubed
  chr(181)  Micro
  chr(183)  Product or raised dot
  chr(186)  Raised and underlined "o"
  chr(215)  Times

  This script shows how to incorporate these symbols into
  useful formatting strings }

menu '-&Character demo' ;

var
  { String variables }
  s1,s2,s3,s4,s5,s6,s7,s8,s9 ;

  { Text window }
  Text ;

  { Misc }
  n ;

begin

{ Copyright }
s1 := 'Copyright '+chr(169)+' 1912 Gumby Laboratories' ;

{ Degrees }
s2 := 'T = -43'+chr(176)+'C' ;

{ Plus or minus }
s3 := 'Error = '+chr(177)+'3.5%' ;

{ Micro }
s4 := 'Distance = 2.0'+chr(181)+'m' ;

{ Squared }
s5 := 'Area = 4.0'+chr(181)+'m'+chr(178) ;

{ Cubed }
s6 := 'Volume = 8.0'+chr(181)+'m'+chr(179) ;

{ Product }
s7 := '1'+chr(183)+'2'+chr(183)+'3'+chr(183)+'4'+' = 24' ;

{ Raised and underlined "o" }
s8 := 'N'+chr(186)+' of objects = 42' ;

{ Times }
s9 := 'Size = 512'+chr(215)+'512 pixels' ;

{ Create a text window to display the strings }
Text := CreateTextWindow( 'chars' ) ;

{ Output results }
writeln( Text,s1 ) ;
writeln( Text,s2 ) ;
writeln( Text,s3 ) ;
writeln( Text,s4 ) ;
writeln( Text,s5 ) ;
writeln( Text,s6 ) ;
writeln( Text,s7 ) ;
writeln( Text,s8 ) ;
writeln( Text,s9 ) ;

{ Uncomment the following section of code to print
  all possible characters }

{
for n := 0 to 255 do
  writeln( Text,n:3,' ',chr(n) ) ;
}

end
