program Step5c ;

const
  Name = '\vwin\examples\images\catscan.tif' ; 

var
  Img, TImg ;
  Done, Threshold ;

begin

{Read image and compute initial threshold}
Open( Name,Img ) ;
Threshold := ( MaxOf( Img ) + MinOf( Img ) ) / 2 ;
TImg := Img > Threshold ;
Show( TImg, 'binary' ) ;

{Loop until user satisfied}
repeat
  TImg := Img > Threshold ;
  Update( TImg ) ;
  Done := Query( 'Is this Ok?' ) = id_Yes ;

  if not Done then
    GetNumber( 'Enter a new threshold',Threshold ) ;
until Done ;

end {Step5c}

