/* Acquire one frame using a Kodak 1400 CCD */

script_begin( );
shutter_close( );     /* good precaution       */
clear_parallel( 2 );  /* clear residual charge */
clear_serial( 2 );    /* clear this as well    */

shutter_open( );   /* start taking picture */
expose( 200 );     /* expose for 200 ms    */
shutter_close( );  /* finished             */

pixel_readout( 0,1317,1,1035,1 ); /* readout the entire chip */
pixel_display( 1317,1035 );       /* display the entire chip */

script_end( 1 );                  /* set to continuous clear */
